#ifndef BASEALT_SPICE_EC_INSECURE_SETTINGS_MANAGER_H
#define BASEALT_SPICE_EC_INSECURE_SETTINGS_MANAGER_H

#include <QSettings>

#include "isettings-manager.h"

namespace Basealt {

class InsecureSettingsManager : public ISettingsManager
{
public:
    QVariant get( const QString& key ) const override;
    void set( const QString& key, const QVariant& value ) override;

private:
    QSettings _settings;
};

} // namespace Basealt

#endif // BASEALT_SPICE_EC_INSECURE_SETTINGS_MANAGER_H
