#ifndef BASEALT_SPICE_EC_ISETTINGS_MANAGER_H
#define BASEALT_SPICE_EC_ISETTINGS_MANAGER_H

#include <QVariant>
#include <QString>

namespace Basealt {

class ISettingsManager
{
public:
    virtual ~ISettingsManager() = default;
    
    virtual QVariant get( const QString& key ) const = 0; 
    virtual void set( const QString& key, const QVariant& value ) = 0;
};

} // namespace Basealt

#endif // BASEALT_SPICE_EC_ISETTINGS_MANAGER_H

