#ifndef BASEALT_SPICE_EC_PROCESS_WIDGET_H
#define BASEALT_SPICE_EC_PROCESS_WIDGET_H

#include <QLabel>

#include "global.h"

namespace Basealt {

class ProcessView : public QWidget
{
    Q_OBJECT
public:
    ProcessView( QWidget* parent = nullptr,
                 Qt::WindowFlags flags = Qt::WindowFlags() );

    void setState( ApplicationState newState );

signals:
    void cancelButtonClicked();

private:
    QLabel* _stateLabel;
};

} // namespace Basealt

#endif // BASEALT_SPICE_EC_PROCESS_WIDGET_H
