#ifndef BASEALT_SPICE_EC_USER_H
#define BASEALT_SPICE_EC_USER_H

#include <QString>

namespace Basealt {

class User
{
public:
    User( const QString& username,
          const QString& ticket, 
          const QString& token );

    inline QString username() const;
    inline QString ticket() const;
    inline QString token() const;

private:
    QString _username;
    QString _ticket;
    QString _token;
};

inline QString User::username() const
{
    return _username;
}

inline QString User::ticket() const
{
    return _ticket;
}

inline QString User::token() const
{
    return _token;
}

} // namespace Basealt

#endif // BASEALT_SPICE_EC_USER_H
