#include "spice-remote-viewer.h"

#include <QProcess>

namespace {

const QString kViewerAppName = "remote-viewer";

} // namespace

namespace Basealt {

SpiceRemoteViewer::SpiceRemoteViewer( const QString& spiceProxyFilePath )
    : _spiceProxyFilePath( spiceProxyFilePath )
{
}

bool SpiceRemoteViewer::open()
{
    return QProcess::startDetached( kViewerAppName, { _spiceProxyFilePath } );
}

} // namespace Basealt
